// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"

#include "Characters/SNGEnemyBase.h"
#include "States/SNGState.h"
#include "SNGEnemyBaseState.generated.h"

/**
 * 
 */
UCLASS()
class SWORDNGUN_API USNGEnemyBaseState : public USNGState
{
	GENERATED_BODY()
	
public:
	virtual void SetOwner(AActor* StateOwner) override;

protected:
	UPROPERTY(BlueprintReadOnly)
	ASNGEnemyBase* Enemy;
};
